NeverBounce integration: operations for AI agents
NeverBounce connects to Type.com as an integration. This page lists the 11 operations documented for Claude and Codex in Type.com: 7 read, 3 write, 1 destructive.
About NeverBounce
NeverBounce provides email verification services to ensure the validity of email addresses, enhancing deliverability and reducing bounce rates.
Categories: Email & Messaging
How to connect NeverBounce to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
11 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
account
- Read
Get account information
Account information response includes the account status, credits and verification usage fields described by the primary schema. Documented successful-response schema fields: response200.status: string; response200.credits_info: object; response200.credits_info.paid_credits_used: integer; default=0; response200.credits_info.free_credits_used: integer; default=0; response200.credits_info.paid_credits_remaining: integer; default=0; response200.credits_info.free_credits_remaining: integer; default=0; response200.job_counts: object; response200.job_counts.completed: integer; default=0; response200.job_counts.under_review: integer; default=0; response200.job_counts.queued: integer; default=0; response200.job_counts.processing: integer; default=0; response200.execution_time: integer; default=0.
GET /v4.2/account/info
jobs
- Read
Get bulk verification results
The data object will contain the original data submitted for this row. If the source data was submitted via the API the data will have the same keys as when it was originally submitted. If submitted as a CSV in the dashboard the data will use the header row to determine the keys for the data when available. The verification object contains the verification results for the email being verified. This object contains the same information that the single/check endpoint returns. Documented request fields: job_id (query, required): The id of the job to retrieve results for; schema={"type":"integer","format":"int32"}; page (query, optional): The page to return the results from; schema={"type":"integer","format":"int32","default":1}; items_per_page (query, optional): The number of results to be returned, between 1 and 1000; schema={"type":"integer","format":"int32","default":10}. Documented successful-response schema fields: response200.status: string; response200.total_results: integer; default=0; response200.total_pages: integer; default=0; response200.query: object; response200.query.job_id: integer; default=0; response200.query.valids: integer; default=0; response200.query.invalids: integer; default=0; response200.query.disposables: integer; default=0; response200.query.catchalls: integer; default=0; response200.query.unknowns: integer; default=0; response200.query.page: integer; default=0; response200.query.items_per_page: integer; default=0; response200.results: array; response200.results[].data: object; response200.results[].data.email: string; response200.results[].data.id: string; response200.results[].data.name: string; response200.results[].verification: object; response200.results[].verification.result: string; response200.results[].verification.flags: array; response200.results[].verification.suggested_correction: string; response200.results[].verification.address_info: object; response200.results[].verification.address_info.original_email: string; response200.results[].verification.address_info.normalized_email: string; response200.results[].verification.address_info.addr: string; response200.results[].verification.address_info.alias: string; response200.results[].verification.address_info.host: string; response200.results[].verification.address_info.fqdn: string; response200.results[].verification.address_info.domain: string; response200.results[].verification.address_info.subdomain: string; response200.results[].verification.address_info.tld: string; response200.execution_time: integer; default=0.
GET /v4.2/jobs/results - Read
Search bulk verification jobs
Documented request fields: job_id (query, optional): Filter jobs based on it's id; schema={"type":"integer","format":"int32"}; filename (query, optional): Filter jobs based on the filename (exact match); schema={"type":"string"}; job_status (query, optional): Filter jobs by the job status; schema={"type":"string"}; page (query, optional): The page to grab the jobs from; schema={"type":"integer","format":"int32","default":1}; items_per_page (query, optional): The number of jobs to display; schema={"type":"integer","format":"int32","default":10}. Documented successful-response example fields (example, not formal schema): status, total_results, total_pages, query, page, items_per_page, results, id, filename, created_at, started_at, finished_at, total, records, billable, processed, valid, invalid, catchall, disposable, unknown, duplicates, bad_syntax, bounce_estimate, percent_complete, execution_time.
GET /v4.2/jobs/search - Read
Get bulk job status
Job status will indicate what stage the job is currently in. This will be the primary property you'll want to check to determine what can be done with the job. Status Description under_review The job has fallen into our Q/A review and requires action on our end. Read more... queued The job has been queued, this is because we're either too busy or you have too many active jobs. failed The job failed, typically this is due to poorly formatted data. complete The job has completed verification and the results are ready for download. running The job is currently either running a sample or full verification. parsing The job has been received and we are parsing the data for emails and duplicate records. waiting The job has not yet run and is waiting to be started. waiting_analyzed The job has completed analysis and is waiting for further action. uploading The job is currently being uploaded to the system. There are several items in the total object that give you an overview of verification results. These numbers are updated periodically during the verification process. Most of these properties correspond directly with the verification result codes; the other properties are explained below. Property Description records The number of rows we found in your file. This may include whitespace, empty rows, and other rows that don't contain syntactically correct emails. billable The number of rows we found syntactically correct emails in. This is number of credits processing this job will consume. processed The total number of emails that have been processed so far. duplicates The number of rows that contain duplicated emails. This is not the number of unique duplicates but the total of every instance. bad_syntax The number of records that do not contain data that looks like an email. This may include whitespace and empty rows as well as bad data. This property indicates the bounce rate we estimate the list to bounce at if sent to in its entirety. The value of this property will be a float between 0.0 and 100.0. This property indicates the overall progress of this job's verification. The value of this property will be a float between 0.0 and 100.0. Failure Reason Description unknown_file_encoding We were un-able to detect this file's encoding type. Please re-save your file choosing UTF-8 encoding for best results. empty_file We were unable to parse the file. Please add some data to the file and try again. file_too_large We were unable to parse the file. Please split your file in smaller chunks and try again. file_corrupt This file appears to be corrupt, please try re-saving the original file or contact support for further assistance. null (empty) Unknown failure, please try resubmitting the job and contact support if the issue persists. Documented request fields: job_id (query, required): The id of the job to check; schema={"type":"integer","format":"int32"}. Documented successful-response schema fields: response200.status: string; response200.id: integer; default=0; response200.filename: string; response200.created_at: string; response200.started_at: string; response200.finished_at: string; response200.failure_reason: documented property; response200.total: object; response200.total.records: integer; default=0; response200.total.billable: integer; default=0; response200.total.processed: integer; default=0; response200.total.valid: integer; default=0; response200.total.invalid: integer; default=0; response200.total.catchall: integer; default=0; response200.total.disposable: integer; default=0; response200.total.unknown: integer; default=0; response200.total.duplicates: integer; default=0; response200.total.bad_syntax: integer; default=0; response200.bounce_estimate: integer; default=0; response200.percent_complete: integer; default=0; response200.job_status: string; response200.execution_time: integer; default=0.
GET /v4.2/jobs/status - Read
Download bulk job results as CSV
> 📘 This endpoint returns an application/octet-stream containing the job data as a CSV file. Because of this, the API explorer is not available. There are several options that allow you download additional information about each string as well as several segmentation options available. The only required parameters for this endpoint are the API key and id of the job to download results from. Below is an example of a basic request that will return all five result codes. Parameters Segmentation Parameter Description valids Includes or excludes valid emails invalids Includes or excludes invalid emails catchalls Includes or excludes catchall (accept all / unverifiable) emails unknowns Includes or excludes unknown emails disposables Includes or excludes disposable emails include_duplicates If true then all instances of duplicated items will appear. only_duplicates If set this property overrides other segmentation options and the download will only return the duplicated items. only_bad_syntax If set this property overrides other segmentation options and the download will only return bad syntax records. Appends Parameter Description bad_syntax Appends a yes/no column indicating if the record is bad syntax free_email_host Appends a yes/no column indicating if the email is a freemail address (e.g. gmail.com, hotmail.com, yahoo.com) role_account Appends a yes/no column indicating if the email is a role account (e.g. support@, info@, sales@) addr Appends a column indicating the address portion of the email. Generally, this is anything before the @ sign. If this address includes an email alias, the alias will not be returned as part of this field. alias Appends a column showing the alias portion of an email address. If an address contains an alias such as "david+test1@site.com" the alias portion is returned, otherwise this column is empty. host Appends a column showing the host portion of the email address. Generally this is everything after the @ sign. subdomain Appends a column to show the email host's subdomain if applicable. For example, if the host was site.example.com, the subdomain would show a response of "site". domain Appends a column to show the email host's domain name. This does not include any subdomain, if applicable, and does not include the TLD or top level domain portion. If the host was site.example.com, the domain would be "example". tld Appends a column to show the TLD or top level domain of the email host. If the host was "site.example.com", the TLD is "com". fqdn Appends a column to show the FQDN or "Fully Qualified Domain Name". This is the portion of the host that you use to query DNS information. In most cases, this will be the same as the host; however, if a subdomain was included this will be removed from the FQDN. For example, if the host was "zone-1.zone-2.site.example.com", the FQDN would be "example.com". network Appends a column to show the FQDN (Fully Qualified Domain Name) of the primary MX record. This is an attempt to determine the ISP hosting the email at a particular address and is useful for grouping addresses together by provider. has_dns_info Appends a column to show whether one or more DNS records exists for this host. has_mail_server Appends a column to show whether this host has one or more MX records defined in its DNS records. mail_server_reachable Appends a column to show whether NeverBounce was able to connect to a remote mail server identified by the host's MX records. email_status_int Appends the verification result code as an integer (0, 1, 2, 3, 4). email_status Appends the verification result code as a string (valid, invalid, disposable, catchall, unknown). Settings Parameter Description binary_operators_type Determines how Yes/No columns are represented. Available settings are: BIN_1_0 = 1/0 (default)\ BIN_Y_N = Y/N\ BIN_y_n = y/n\ BIN_yes_no = yes/no\ BIN_Yes_No = Yes/No\ BIN_true_false = true/false line_feed_type Determines the type of linefeed character used to represent line breaks in the CSV. Available settings are: LINEFEED_0A0D = \n\r (default)\ LINEFEED_0D0A = \r\n\ LINEFEED_0A = \n\ LINEFEED_0D = \r
GET /v4.2/jobs/download - Write
Create a bulk verification job
The jobs create endpoint allows you create verify multiple emails together, the same way you would verify lists in the dashboard. This endpoint will create a job and process the emails in the list (if auto_start is enabled) asynchronously. Verification results are not returned in the response. Read more about how to verify lists of emails here. This will enable or disable the indexing process from automatically starting as soon as you create a job. If set to 0 or false you will need to call the /parse endpoint after the job has been created to begin indexing. *Defaults to 0* This will enable or disable the job from automatically beginning the verification process once it has been parsed. If this is set to 0 or false you will need to call the /start endpoint to begin verification. Setting this to 1 or true will start the job and deduct the credits. *Defaults to 0* This endpoint has the ability to run a sample on the list and provide you with an estimated bounce rate without costing you. Based on the estimated bounce rate you can decide whether or not to perform the full validation or not. You can start validation by calling the /start endpoint. Read more about running a sample here. *Defaults to 0* This endpoint can receive input in multiple ways. The input_location parameter describes the contents of the input parameter. The input parameter may be an array of objects containing emails or a file hosted at a remote URI. Using a remote URL allows you to host the file and provide us with a direct link to it. The file should be a list of emails separated by line breaks or a standard CSV file. We support most common file transfer protocols and their authentication mechanisms. When using a URL that requires authentication be sure to pass the username and password in the URI string. Supplying the data directly gives you the option to dynamically create email lists on the fly rather than having to write to a file. input will accept an array of objects or arrays that contain the email, as well as any ancillary data you wish to associate with the email (e.g. user IDs, names, contact information). If the data is supplied as an object, the key names will be used for the column headers. If the data is supplied as an array, column headers will be omitted. Below is a sample of what each looks like in JSON. Our manual review process allows us to take a second look at jobs that have a high rate of unknowns. Often we can re-run lists at a later time or under specific configurations to further resolve these unknowns. This requires a member of our team to perform these reviews so they only occur during our normal business hours. While this works well for most dashboard users, this isn't always optimal for API users who programmatically access their lists. Starting in 4.2 we've introduced the allow_manual_review to allow users to opt-into this featured when creating their API jobs. If a allow_manual_review is enabled, your job may take up to 1 business day to be released if it falls into the manual review queue. The job status will include the under_review job status if it's in this queue. To enable callbacks to your application you must supply an accessible URL in the callback_url parameter. This URL should start with either http:// or https:// and be accessible over the internet. You can supply basic authentication credentials directly in the URL. You can also specific headers to include in the callback requests with the callback_headers parameter. You can use these to set an authorization token or internal reference for the job. For more information about callbacks and a list of supported events see job callbacks. Documented request fields: input_location (application/json, required): The type of input being supplied. Accepted values are "remote_url" and "supplied".; schema={"type":"string","description":"The type of input being supplied. Accepted values are \"remote_url\" and \"supplied\"."}; input (application/json, required): The input to be verified; schema={"type":"string","description":"The input to be verified","format":"json"}; auto_parse (application/json, optional): Should we begin parsing the job immediately? (default: false); schema={"type":"boolean","description":"Should we begin parsing the job immediately? (default: false)","default":false}; auto_start (application/json, optional): Should we run the job immediately after being parsed? (default: false); schema={"type":"boolean","description":"Should we run the job immediately after being parsed? (default: false)","default":false}; run_sample (application/json, optional): Should this job be run as a sample? (default: false); schema={"type":"boolean","description":"Should this job be run as a sample? (default: false)","default":false}; filename (application/json, optional): This will be what's displayed in the dashboard when viewing this job; schema={"type":"string","description":"This will be what's displayed in the dashboard when viewing this job"}; request_meta_data (application/json, optional): Miscellanious request meta data; schema={"type":"object","description":"Miscellanious request meta data","properties":{"leverage_historical_data":{"type":"boolean","description":"Control historical data usage, set to false to use real-time only verification","default":true}}}; allow_manual_review (application/json, optional): Denotes whether or not the job should be allowed to fall into manual review; schema={"type":"boolean","description":"Denotes whether or not the job should be allowed to fall into manual review","default":false}; callback_url (application/json, optional): An optional URL that we should send events to during the lifecycle of the job; schema={"type":"string","description":"An optional URL that we should send events to during the lifecycle of the job"}; callback_headers (application/json, optional): An optional array of headers that should be included when sending events to the callback_url; schema={"type":"string","description":"An optional array of headers that should be included when sending events to the callback_url","format":"json"}. Documented successful-response schema fields: response200.status: string; response200.job_id: integer; default=0; response200.execution_time: integer; default=0.
POST /v4.2/jobs/create - Write
Parse a bulk verification job
This endpoint allows you to parse a job created with auto_parse disabled. You cannot reparse a list once it's been parsed. Documented request fields: job_id (application/json, required): The id of the job to parse; schema={"type":"integer","description":"The id of the job to parse","format":"int32"}; auto_start (application/json, optional): Should the job start processing immediately after it's parsed? (default: false); schema={"type":"boolean","description":"Should the job start processing immediately after it's parsed? (default: false)","default":false}. Documented successful-response schema fields: response200.status: string; response200.queue_id: string; response200.execution_time: integer; default=0.
POST /v4.2/jobs/parse - Write
Start bulk email verification
This endpoint allows you to start a job created or parsed with auto_start disabled. Once the list has been started the credits will be deducted and the process cannot be stopped or restarted. Documented request fields: job_id (application/json, required): The id of the job to start; schema={"type":"integer","description":"The id of the job to start","format":"int32"}; run_sample (application/json, optional): Should this job be run as a sample? (default: false); schema={"type":"boolean","description":"Should this job be run as a sample? (default: false)","default":false}. Documented successful-response schema fields: response200.status: string; response200.queue_id: string; response200.execution_time: integer; default=0.
POST /v4.2/jobs/start - Destructive
Delete a bulk verification job
Documented request fields: job_id (application/json, required): The id of the job to delete; schema={"type":"integer","description":"The id of the job to delete","format":"int32"}. Documented successful-response schema fields: response200.status: string; response200.execution_time: integer; default=0.
POST /v4.2/jobs/delete
single
- Read
Verify a single email
The timeout parameter tells the API how long it should try to verify an email before giving up and returning an unknown result code. The total request time can exceed this timeout, as network latency is not taken into consideration. This can be helpful when verifying emails at the point of entry to prevent long wait times for your users. The result property contains a string that correlates to a result codes listed int the table below. For detailed information about result codes visit our help docs or click the "Learn More" links next to the result codes below. Result Code Description valid Verified as real address. Learn More invalid Verified as not valid. Learn More disposable A temporary, disposable address. Learn More catchall A domain wide-setting, also known as Accept-all (Unverifiable). Learn More unknown The server cannot be reached. Learn More The flags will give you additional information that we discovered about the domain during verification. Below is a list of common flags you may encounter. Flag Description has_dns The input has one or more DNS records associated with the hostname. has_dns_mx The input has mail exchanger DNS records configured. bad_syntax The input given doesn't appear to be an email. free_email_host This email is registered on a free-mail host. (e.g: yahoo.com, hotmail.com) profanity role_account This email is a role-based email address (e.g: admin@, help@, sales@) disposable_email The input given is a disposable email. government_host The input given is a government email. academic_host The input given is a acedemic email. military_host The input given is a military email. international_host INT designated domain names. squatter_host Host likely intended to look like a big-time provider (type of spam trap). spelling_mistake The input was misspelled bad_dns temporary_dns_error connect_fails Unable to connect to remote host. accepts_all Remote host accepts mail at any address. contains_alias The email address supplied contains an address part and an alias part. contains_subdomain The host in the address contained a subdomain. smtp_connectable We were able to connect to the remote mail server. spamtrap_network Host is affiliated with a known spam trap network. historical_response Indicates the result was generated using the historical-driven algorithm These are soft suggestions that may correct common typos such as "gmal.com" or "hotmal.com". Documented request fields: email (query, required): The email to verify; schema={"type":"string"}; address_info (query, optional): Include additional address info in response (default: false); schema={"type":"integer","format":"int32"}; credits_info (query, optional): Include account credit info in response (default: false); schema={"type":"integer","format":"int32"}; timeout (query, optional): The maximum time in seconds we should try to verify the address; schema={"type":"integer","format":"int32"}. Documented successful-response schema fields: response200.status (oneOf1): string; response200.result (oneOf1): string; response200.flags (oneOf1): array; response200.suggested_correction (oneOf1): string; response200.execution_time (oneOf1): integer; default=0; response200.status (oneOf2): string; response200.result (oneOf2): string; response200.flags (oneOf2): array; response200.suggested_correction (oneOf2): string; response200.address_info (oneOf2): object; response200.address_info.original_email (oneOf2): string; response200.address_info.normalized_email (oneOf2): string; response200.address_info.addr (oneOf2): string; response200.address_info.alias (oneOf2): string; response200.address_info.host (oneOf2): string; response200.address_info.fqdn (oneOf2): string; response200.address_info.domain (oneOf2): string; response200.address_info.subdomain (oneOf2): string; response200.address_info.tld (oneOf2): string; response200.execution_time (oneOf2): integer; default=0; response200.status (oneOf3): string; response200.result (oneOf3): string; response200.flags (oneOf3): array; response200.suggested_correction (oneOf3): string; response200.credits_info (oneOf3): object; response200.credits_info.paid_credits_used (oneOf3): integer; default=0; response200.credits_info.free_credits_used (oneOf3): integer; default=0; response200.credits_info.paid_credits_remaining (oneOf3): integer; default=0; response200.credits_info.free_credits_remaining (oneOf3): integer; default=0; response200.execution_time (oneOf3): integer; default=0. Documented successful-response example fields (example, not formal schema): status, result, flags, suggested_correction, execution_time, address_info, original_email, normalized_email, addr, alias, host, fqdn, domain, subdomain, tld, credits_info, paid_credits_used, free_credits_used, paid_credits_remaining, free_credits_remaining.
GET /v4.2/single/check
poe
- Read
Confirm widget verification evidence
This endpoint provides an extra layer of protection by confirming that the email you received was verified by NeverBounce. In most use cases the widget on its own provides enough protection against bad emails. However, an advanced user can disable or modify the script, as is the case with any client-side script. If you have control over the server-side script that processes the form request you can use this endpoint to confirm that the email supplied was verified. Every verification performed by the widget is accompanied by a "transaction id" and "confirmation token". These are both accessible from the Result Object and in the form as the nb-transaction-id and nb-confirmation-token fields. These two parameters can be passed to this endpoint alongside the email that was submitted to confirm if this is the same email we verified or not. Documented request fields: email (application/json, required): ; schema={"type":"string"}; transaction_id (application/json, required): ; schema={"type":"string"}; confirmation_token (application/json, required): ; schema={"type":"string"}; result (application/json, required): ; schema={"type":"string"}. Documented successful-response example fields (example, not formal schema): status, token_confirmed, execution_time.
POST /v4.2/poe/confirm
No operations match.
See How connections work for access and permissions, or browse all integrations.